diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 2c410f0..6e96318 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -10744,6 +10744,112 @@ Bits(): Exports == Implementation where
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain BLQT BlowUpWithQuadTrans}
+<<BlowUpWithQuadTrans.input>>=
+)set break resume
+)sys rm -f BlowUpWithQuadTrans.output
+)spool BlowUpWithQuadTrans.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BlowUpWithQuadTrans
+--R BlowUpWithQuadTrans  is a domain constructor
+--R Abbreviation for BlowUpWithQuadTrans is BLQT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BLQT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                chartCoord : % -> Integer
+--R coerce : List Integer -> %            coerce : % -> OutputForm
+--R excepCoord : % -> Integer             hash : % -> SingleInteger
+--R infClsPt? : % -> Boolean              latex : % -> String
+--R quotValuation : % -> Integer          ramifMult : % -> Integer
+--R transCoord : % -> Integer             ?~=? : (%,%) -> Boolean
+--R createHN : (Integer,Integer,Integer,Integer,Integer,Boolean,Union(left,center,right,vertical,horizontal)) -> %
+--R type : % -> Union(left,center,right,vertical,horizontal)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+
+@
+<<BlowUpWithQuadTrans.help>>=
+====================================================================
+BlowUpWithQuadTrans examples
+====================================================================
+
+See Also:
+o )show BlowUpWithQuadTrans
+
+@
+\pagehead{BlowUpWithQuadTrans}{BLQT}
+\pagepic{ps/v103blowupwithquadtrans.ps}{BLQT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BLQT}{?=?} &
+\cross{BLQT}{?\~{}=?} &
+\cross{BLQT}{chartCoord} &
+\cross{BLQT}{coerce} &
+\cross{BLQT}{createHN} \\
+\cross{BLQT}{excepCoord} &
+\cross{BLQT}{hash} &
+\cross{BLQT}{infClsPt?} &
+\cross{BLQT}{latex} &
+\cross{BLQT}{quotValuation} \\
+\cross{BLQT}{ramifMult} &
+\cross{BLQT}{transCoord} &
+\cross{BLQT}{type} &&
+\end{tabular}
+
+<<domain BLQT BlowUpWithQuadTrans>>=
+)abbrev domain BLQT BlowUpWithQuadTrans
+++ Authors: Gaetan Hache
+++ Date Created: june 1996 
+++ Date Last Updated: May 2010 by Tim Daly
+++ Description: 
+++ This domain is part of the PAFF package
+BlowUpWithQuadTrans: Exports == Implementation where
+
+  MetRec ==> Record( ex:Integer, tr: Integer, ch: Integer , ramif: Integer )
+  outRec ==> Record( exCoord:Integer, affNeigh: Integer )
+  Exports ==> BlowUpMethodCategory with 
+
+    QuadraticTransform
+    
+  Implementation ==  add
+    Rep := MetRec
+
+    coerce(la:List(Integer)):% == [la.1, la.2,la.3,  1 ]$Rep
+
+    ramifMult a == One$Integer
+
+    excepCoord a == a.ex
+
+    chartCoord a == a.ch
+
+    transCoord a == a.tr
+
+    ramifMult a == a.ramif
+
+    quotValuation a == One$Integer
+
+    coerce(c:%):OutputForm== 
+      oo: outRec := [ excepCoord(c) , chartCoord(c) ]$outRec
+      oo :: OutputForm 
+
+@
+<<BLQT.dotabb>>=
+"BLQT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BLQT",
+           shape=ellipse]
+"BLMETCT" [color="#4488FF",href="bookvol10.3.pdf#nameddest=BLMETCT"]
+"BLQT" -> "ALIST"
+
+@
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BOOLEAN Boolean}
 \pagehead{Boolean}{BOOLEAN}
 \pagepic{ps/v103boolean.ps}{BOOLEAN}{1.00}
@@ -124242,6 +124348,7 @@ Note that this code is not included in the generated catdef.spad file.
 <<domain BTOURN BinaryTournament>>
 <<domain BTREE BinaryTree>>
 <<domain BITS Bits>>
+<<domain BLQT BlowUpWithQuadTrans>>
 <<domain BOOLEAN Boolean>>
 
 <<domain CARD CardinalNumber>>
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index da9d8af..1602ad2 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -23854,6 +23854,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|BinaryTree| . BTREE)
    (|Bits| . BITS)
    (|BlasLevelOne| . BLAS1)
+   (|BlowUpWithQuadTrans| . BLQT)
    (|Boolean| . BOOLEAN)
    (|CardinalNumber| . CARD)
    (|CartesianTensor| . CARTEN)
diff --git a/books/ps/v103blowupwithquadtrans.ps b/books/ps/v103blowupwithquadtrans.ps
new file mode 100644
index 0000000..6b3385f
--- /dev/null
+++ b/books/ps/v103blowupwithquadtrans.ps
@@ -0,0 +1,280 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Mon Mar 30 10:09:11 UTC 2009)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 218 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 182 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% BLQT
+gsave
+[ /Rect [ 0 72 74 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=BLQT) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+37 90 37.02 18 ellipse_path fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+37 90 37.02 18 ellipse_path stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+18 85.9 moveto 38 (BLQT) alignedtext
+grestore
+% ALIST
+gsave
+0.537 0.247 0.902 nodecolor
+newpath 65 36 moveto
+9 36 lineto
+9 0 lineto
+65 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.537 0.247 0.902 nodecolor
+newpath 65 36 moveto
+9 36 lineto
+9 0 lineto
+65 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+16.5 13.9 moveto 41 (ALIST) alignedtext
+grestore
+% BLQT->ALIST
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 37 72 moveto
+37 64 37 55 37 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 40.5 46 moveto
+37 36 lineto
+33.5 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 40.5 46 moveto
+37 36 lineto
+33.5 46 lineto
+closepath stroke
+grestore
+% BLMETCT
+gsave
+[ /Rect [ 92 72 174 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=BLMETCT) >>
+  /Subtype /Link
+/ANN pdfmark
+0.606 0.733 1.000 nodecolor
+newpath 174 108 moveto
+92 108 lineto
+92 72 lineto
+174 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.606 0.733 1.000 nodecolor
+newpath 174 108 moveto
+92 108 lineto
+92 72 lineto
+174 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+100 85.9 moveto 66 (BLMETCT) alignedtext
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 218 152
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index e8f102b..6eb2311 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20100513 tpd src/axiom-website/patches.html 20100513.03.tpd.patch
+20100513 tpd src/algebra/Makefile help and test files for BLQT
+20100513 tpd books/bookvol5 expose BlowUpWithQuadTrans
+20100513 tpd books/bookvol10.3 add BlowUpWithQuadTrans
+20100513 tpd books/ps/v103blowupwithquadtrans.ps added
 20100513 tpd src/axiom-website/patches.html 20100513.02.tpd.patch
 20100513 tpd books/bookvol10.2 add BLMETCT to algebra chunks
 20100513 tpd src/axiom-website/patches.html 20100513.01.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 1f01625..915eaa1 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -789,7 +789,7 @@ OASGP PDRING
 
 LAYER2=\
   ${OUT}/API.o      ${OUT}/ASP29.o    ${OUT}/ATRIG.o    ${OUT}/ATRIG-.o   \
-  ${OUT}/BEZIER.o   ${OUT}/BMODULE.o  ${OUT}/CACHSET.o  \
+  ${OUT}/BEZIER.o   ${OUT}/BLQT.o     ${OUT}/BMODULE.o  ${OUT}/CACHSET.o  \
   ${OUT}/CHARNZ.o   ${OUT}/CHARZ.o    ${OUT}/DVARCAT.o  ${OUT}/DVARCAT-.o \
   ${OUT}/ELEMFUN.o  ${OUT}/ELEMFUN-.o ${OUT}/ESTOOLS2.o ${OUT}/EVALAB.o   \
   ${OUT}/EVALAB-.o  ${OUT}/FAMONC.o   ${OUT}/FCOMP.o    ${OUT}/FEVALAB.o  \
@@ -872,6 +872,11 @@ LAYER2=\
 /*"BEZIER" -> {"SETCAT"; "BASTYPE"; "KOERCE" "SGROUP"; "MONOID"; "LMODULE"} */
 "BEZIER" -> "LMODULE/SGROUP"
 
+"BLQT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BLQT"]
+"BLQT" -> "BLMETCT"
+/*"BLQT" -> {"SETCAT"; "BASTYPE"; "KOERCE"; "INT"; "LIST"; "ILIST"; "LSAGG-"}*/
+/*"BLQT" -> {"STAGG-"; "PI"; "NNI"}*/
+
 "BMODULE" [color="#4488FF",href="bookvol10.2.pdf#nameddest=BMODULE"]
 /*"BMODULE" -> {"RING"; "RNG"; "ABELGRP"; "CABMON"; "ABELMON"; "ABELSG"}*/
 /*"BMODULE" -> {"SETCAT"; "BASTYPE"; "KOERCE"; "SGROUP"; "MONOID"}*/
@@ -16203,6 +16208,21 @@ ${MID}/LISYSER.nrlib/code.o: ${MID}/LISYSER.spad
 	      | ${INTERPSYS} >${TMP}/trace ; \
 	   fi )
 @
+<<newcode>>=
+
+BLQTDEPS = BLMETCT
+
+${MID}/BLQT.nrlib/code.o: ${MID}/BLQT.spad
+	@echo P3 making ${MID}/BLQT.nrlib/code.o from ${MID}/BLQT.spad
+	@ (cd ${MID} ; \
+	   if [ -z "${NOISE}" ] ; then \
+	    echo -e ")lib ${BLQTDEPS} \n )co BLQT.spad" \
+              | ${INTERPSYS} ; \
+           else \
+	    echo -e ")lib ${BLQTDEPS} \n )co BLQT.spad" \
+	      | ${INTERPSYS} >${TMP}/trace ; \
+	   fi )
+@
 
 \section{Broken Files}
 These files are Aldor files
@@ -16919,6 +16939,7 @@ SPADHELP=\
  ${HELP}/BinarySearchTree.help \
  ${HELP}/BlasLevelOne.help \
  ${HELP}/BlowUpMethodCategory.help \
+ ${HELP}/BlowUpWithQuadTrans.help \
  ${HELP}/CardinalNumber.help \
  ${HELP}/CartesianTensor.help \
  ${HELP}/Character.help \
@@ -17093,6 +17114,7 @@ REGRESS= \
  BinarySearchTree.regress \
  BlasLevelOne.regress \
  BlowUpMethodCategory.regress \
+ BlowUpWithQuadTrans.regress \
  CardinalNumber.regress \
  CartesianTensor.regress \
  Character.regress \
@@ -17375,6 +17397,18 @@ ${HELP}/BlowUpMethodCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/BlowUpMethodCategory.input
 	@echo "BlowUpMethodCategory (BLMETCT)" >>${HELPFILE}
 
+${HELP}/BlowUpWithQuadTrans.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7084 create BlowUpWithQuadTrans.help from \
+            ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"BlowUpWithQuadTrans.help" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${HELP}/BlowUpWithQuadTrans.help
+	@cp ${HELP}/BlowUpWithQuadTrans.help ${HELP}/BLQT.help
+	@${TANGLE} -R"BlowUpWithQuadTrans.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/BlowUpWithQuadTrans.input
+	@echo "BlowUpWithQuadTrans (BLQT)" >>${HELPFILE}
+
 ${HELP}/CardinalNumber.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7086 create CardinalNumber.help from \
                 ${BOOKS}/bookvol10.3.pamphlet
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0bb591c..300f437 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2705,5 +2705,7 @@ books/bookvol10.4 add LinearSystemFromPowerSeriesPackage<br/>
 books/bookvol10.2 add BlowUpMethodCategory<br/>
 <a href="patches/20100513.02.tpd.patch">20100513.02.tpd.patch</a>
 books/bookvol10.2 add BLMETCT to algebra chunks<br/>
+<a href="patches/20100513.03.tpd.patch">20100513.03.tpd.patch</a>
+books/bookvol10.3 add BlowUpWithQuadTrans<br/>
  </body>
 </html>
